using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;

namespace EmailValidation
{
   class MainClass
   {
      public static void Main(string[] args)
      {
         string emailPattern = @"^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|[ccc](([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$";

         Console.Write("Podaj adres e-mail: ");
         string emailInput = Console.ReadLine();
         bool match = Regex.IsMatch(emailInput, emailPattern);
         if (match)
            Console.WriteLine("Podany adres e-mail jest poprawny.");
         else
            Console.WriteLine("Podany adres e-mail jest błędny.");
         Console.ReadLine();
      }
   }
}
